Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.blas
Class Srotmg

    java.lang.Object
      org.netlib.blas.Srotmg

    public class Srotmg

extends java.lang.Object

    Following is the description from the original
    Fortran source.  For each array argument, the Java
    version will include an integer offset parameter, so
    the arguments may not match the description exactly.
    Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *     CONSTRUCT THE MODIFIED GIVENS TRANSFORMATION MATRIX H WHICH ZEROS

     *     THE SECOND COMPONENT OF THE 2-VECTOR  (SQRT(SD1)*SX1,SQRT(SD2)*
     *     SY2)**T.
     *     WITH SPARAM(1)=SFLAG, H HAS ONE OF THE FOLLOWING FORMS..
     *
     *     SFLAG=-1.E0     SFLAG=0.E0        SFLAG=1.E0     SFLAG=-2.E0
     *
     *       (SH11  SH12)    (1.E0  SH12)    (SH11  1.E0)    (1.E0  0.E0)
     *     H=(          )    (          )    (          )    (          )
     *       (SH21  SH22),   (SH21  1.E0),   (-1.E0 SH22),   (0.E0  1.E0).
     *     LOCATIONS 2-4 OF SPARAM CONTAIN SH11,SH21,SH12, AND SH22
     *     RESPECTIVELY. (VALUES OF 1.E0, -1.E0, OR 0.E0 IMPLIED BY THE
     *     VALUE OF SPARAM(1) ARE NOT STORED IN SPARAM.)
     *
     *     THE VALUES OF GAMSQ AND RGAMSQ SET IN THE DATA STATEMENT MAY BE
     *     INEXACT.  THIS IS OK AS THEY ARE ONLY USED FOR TESTING THE SIZE
     *     OF SD1 AND SD2.  ALL ACTUAL SCALING OF DATA IS DONE USING GAM.
     *
     *
     *  Arguments
     *  =========
     *
     *
     *  SD1    (input/output) REAL
     *
     *  SD2    (input/output) REAL
     *
     *  SX1    (input/output) REAL
     *
     *  SY1    (input) REAL
     *
     *
     *  SPARAM (input/output)  REAL array, dimension 5
     *     SPARAM(1)=SFLAG
     *     SPARAM(2)=SH11
     *     SPARAM(3)=SH21
     *     SPARAM(4)=SH12
     *     SPARAM(5)=SH22
     *
     *  =====================================================================
     *
     *     .. Local Scalars ..

Field Summary
`static float` | `gam`
`static float` | `gamsq`
`static float` | `one`
`static float` | `rgamsq`
`static float` | `two`
`static float` | `zero`

Constructor Summary
`Srotmg()`

Method Summary
`static void` | `srotmg(floatW sd1, floatW sd2, floatW sx1, float sy1, float[] sparam, int _sparam_offset)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### zero

    public static float zero

### one

    public static float one

### two

    public static float two

### gam

    public static float gam

### gamsq

    public static float gamsq

### rgamsq

    public static float rgamsq

Constructor Detail

### Srotmg

    public Srotmg()

Method Detail

### srotmg

    public static void srotmg(floatW sd1,
                              floatW sd2,
                              floatW sx1,
                              float sy1,
                              float[] sparam,
                              int _sparam_offset)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD